• Codeby web-security - Курс "Тестирование Веб-Приложений на проникновение с нуля" от команды codeby. Общая теория, подготовка рабочего окружения, пассивный фазинг и фингерпринт, Активный фаззинг, Уязвимости, Пост-эксплуатация, Инструментальные средства, Social Engeneering и многое другое. Подробнее ...

  • Мобильный клиент нашего форума для Android гаджетов доступен в Google Play Market по этой ссылке. Клиент можно скачать с нашего форума по этой ссылке. Последняя версия МК в нашем телеграм канале вот здесь

Проблема нужна помощь smb-autopwn

nemainthium

Премиум
19.01.2016
43
35
#1
Есть такая тулза - DanMcInerney/smb-autopwn , автоматизирующая MS08-067 .
Пробую ее запустить, через некоторое время выскакивает с ошибкой:

root@kali:~/Desktop/autopwn# ./smb-autopwn.py -l all_445.txt
[*] Nmap running: 0.0 min
[*] Nmap running: 0.5 min
[*] Nmap running: 1.0 min
[*] Nmap running: 1.5 min
Exception in thread Thread-1:
Traceback (most recent call last):
File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
self.run()
File "/usr/local/lib/python2.7/dist-packages/libnmap/process.py", line 267, in run
raise EnvironmentError(1, "nmap is not installed or could "
EnvironmentError: [Errno 1] nmap is not installed or could not be found in system path

Traceback (most recent call last):
File "./smb-autopwn.py", line 247, in <module>
report = parse_nmap(args)
File "./smb-autopwn.py", line 55, in parse_nmap
report = nmap_scan(hosts)
File "./smb-autopwn.py", line 107, in nmap_scan
report = NmapParser.parse_fromfile(os.getcwd()+'/smb-scan.xml')
File "/usr/local/lib/python2.7/dist-packages/libnmap/parser.py", line 191, in parse_fromfile
with open(nmap_report_path, 'r') as fileobj:
IOError: [Errno 2] No such file or directory: '/root/Desktop/autopwn/smb-scan.xml'
root@kali:~/Desktop/autopwn#

я так понимаю, что не находит nmap, но он есть:

root@kali:~/Desktop/autopwn# nmap -version
Nmap version 7.70SVN ( Nmap: the Network Mapper - Free Security Scanner )
Platform: x86_64-unknown-linux-gnu
Compiled with: nmap-liblua-5.3.3 nmap-libz-1.2.8 nmap-libpcre-7.6 nmap-libpcap-1.7.3 nmap-libdnet-1.12 ipv6
Compiled without: openssl libssh2
Available nsock engines: epoll poll select
root@kali:~/Desktop/autopwn#

может кто сталкивался с таким и/или знает как решить проблему?
 

mrOkey

Премиум
14.11.2017
324
498
#2
если бы ты почитал исходники:
в скрипте используется библиотека python-libnmap
в которой есть файл process.py. В коде явно написано в каких случаях возникает ошибка:
В переменной PATH нет ссылки на nmap -- посмотри echo $PATH или как там

так что давай сюда вывод из $PATH

предвкушая следующую проблему:
для nmap должны быть установлены вот эти скрипты: smb-vuln-ms17-010,smb-vuln-ms08-067
 

nemainthium

Премиум
19.01.2016
43
35
#3
root@kali:~/Desktop/autopwn# echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/bin/nmap
root@kali:~/Desktop/autopwn#
 

mrOkey

Премиум
14.11.2017
324
498
#4
Так смотри, добавь
"/usr/local/bin/"
в либе как-то по тупому организован метод поиска PATH

потом отпиши
 

nemainthium

Премиум
19.01.2016
43
35
#5
прописал в .bashrc следующее:
# nmap path
export PATH="$PATH:/usr/local/bin/nmap":"$PATH:/usr/local/bin/"

теперь пути такие:
root@kali:~/Desktop/autopwn# echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/bin/nmap:/usr/local/bin/nmap:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/bin/nmap:/usr/local/bin/
root@kali:~/Desktop/autopwn#

ошибка такая (тоже):
root@kali:~/Desktop/autopwn# ./smb-autopwn.py -l all_445.txt
[*] Nmap running: 0.0 min
[*] Nmap running: 0.5 min
[*] Nmap running: 1.0 min
[*] Nmap running: 1.5 min
Traceback (most recent call last):
File "./smb-autopwn.py", line 247, in <module>
report = parse_nmap(args)
File "./smb-autopwn.py", line 55, in parse_nmap
report = nmap_scan(hosts)
File "./smb-autopwn.py", line 107, in nmap_scan
report = NmapParser.parse_fromfile(os.getcwd()+'/smb-scan.xml')
File "/usr/local/lib/python2.7/dist-packages/libnmap/parser.py", line 191, in parse_fromfile
with open(nmap_report_path, 'r') as fileobj:
IOError: [Errno 2] No such file or directory: '/root/Desktop/autopwn/smb-scan.xml'
Exception in thread Thread-1:
Traceback (most recent call last):
File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
self.run()
File "/usr/local/lib/python2.7/dist-packages/libnmap/process.py", line 267, in run
raise EnvironmentError(1, "nmap is not installed or could "
EnvironmentError: [Errno 1] nmap is not installed or could not be found in system path

root@kali:~/Desktop/autopwn#
 

mrOkey

Премиум
14.11.2017
324
498
#6
почему у тебя так много nmap в путях?))

кстати ты уверен, что smb-autopwn написан для 2.7?
у меня кстати без проблем скрипт отрабатывает
 
Последнее редактирование:

nemainthium

Премиум
19.01.2016
43
35
#7
не знаю.

с третим питоном таже петрушка:
root@kali:~/Desktop/autopwn# python3 smb-autopwn.py -l all_445.txt
[*] Nmap running: 0.0 min
[*] Nmap running: 0.5 min
[*] Nmap running: 1.0 min
[*] Nmap running: 1.5 min
[*] Nmap running: 2.0 min
[*] Nmap running: 2.5 min
Traceback (most recent call last):
File "smb-autopwn.py", line 247, in <module>
report = parse_nmap(args)
File "smb-autopwn.py", line 55, in parse_nmap
report = nmap_scan(hosts)
File "smb-autopwn.py", line 107, in nmap_scan
report = NmapParser.parse_fromfile(os.getcwd()+'/smb-scan.xml')
File "/usr/local/lib/python3.6/dist-packages/libnmap/parser.py", line 191, in parse_fromfile
with open(nmap_report_path, 'r') as fileobj:
FileNotFoundError: [Errno 2] No such file or directory: '/root/Desktop/autopwn/smb-scan.xml'
Exception in thread Thread-1:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/dist-packages/libnmap/process.py", line 263, in run
bufsize=0)
File "/usr/lib/python3.6/subprocess.py", line 709, in __init__
restore_signals, start_new_session)
File "/usr/lib/python3.6/subprocess.py", line 1344, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
OSError: [Errno 7] Argument list too long: '/usr/bin/sudo'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
self.run()
File "/usr/local/lib/python3.6/dist-packages/libnmap/process.py", line 267, in run
raise EnvironmentError(1, "nmap is not installed or could "
PermissionError: [Errno 1] nmap is not installed or could not be found in system path

root@kali:~/Desktop/autopwn#
 

nemainthium

Премиум
19.01.2016
43
35
#9
root@kali:~/Desktop/autopwn# pip install python-libnmap
Requirement already satisfied: python-libnmap in /usr/local/lib/python2.7/dist-packages
root@kali:~/Desktop/autopwn# pip install termcolor
Requirement already satisfied: termcolor in /usr/local/lib/python2.7/dist-packages
root@kali:~/Desktop/autopwn# pip install netifaces
Requirement already satisfied: netifaces in /usr/local/lib/python2.7/dist-packages
root@kali:~/Desktop/autopwn#

в all_445.txt просто список айпишников в строчку типа:
64.75.68.36
107.154.110.63
207.163.21.87
51.143.17.53
81.205.76.220
193.138.226.138
136.160.115.178
220.67.229.183
116.206.54.210
134.219.49.25
66.71.240.194
90.144.36.213
60.249.30.228
134.220.3.218
103.7.102.162
115.130.128.16
119.105.238.42
199.83.134.96
171.21.45.107
37.251.154.120
198.177.23.159
86.36.82.66
 

mrOkey

Премиум
14.11.2017
324
498
#10
сделай себе path обратно
Код:
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
 

nemainthium

Премиум
19.01.2016
43
35
#11
сделал
[automerge]1523330531[/automerge]
пришел к выводу, что дело во входящем txt, он оказался слишком большим.
 
Последнее редактирование:
Вверх Снизу